﻿/* Background styling */
body.login-page {
    background-image: url("https://app.iconceive.au/iconceive/img/bg_image.jpg");
    background-position: center;
    background-size: 100% 100%;
    background-repeat: no-repeat;
    min-height: 100vh;
    height: auto;
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}
html {
    /*overflow-y: scroll;*/
}

body.swal2-shown {
    /*overflow-y: scroll !important;*/
    /*padding-right: 0 !important;*/
}



/* Card Container */
.login-container {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.login-card {
    width: 100%;
    max-width: 380px;
    padding: 2rem;
    /*border-radius: 10px;*/
    /*background-color: rgba(255, 255, 255, 0.9);*/
    background-color: white;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.8);
    border: 1px solid #ddd;
}

/* Logo section */
.login-header {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 10px;
}

.img-logo {
    width: 150px;
    height: 40px;
}

.brand-title {
    font-size: 20px;
    padding-left: 10px;
    margin-top: 16px;
}

/* Form styles */
.form-control {
    text-align: left;
    width: 100%;
    height: 25px;
    padding: 0;
    font-size: 12px;
    border: transparent;
    border-bottom: 1px solid black;
    border-radius: 0;
    margin-top: 0;
    margin-bottom: 0px;
    background-color: transparent;
    outline: none;
}

    .form-control:focus {
        box-shadow: none;
        border-color: #51AFB2;
        background-color : transparent;
    }

.link-btn {
    display: inline-block;
    text-decoration: none;
    border: 1px solid black;
    font-size: 15px;
    height: 35px;
    border-radius :5px;
    width: 100%;
    color: black;
    font-weight: 200;
    text-align: center;
    line-height: 30px;
    margin-bottom: 10px;
    transition: all 0.3s ease;
}


    .link-btn:hover {
        /*background-color: #4aa8a9;*/ /* slightly darker */
        transform: scale(1.01); /* slight zoom */
        box-shadow: 0 4px 8px rgba(0,0,0,0.2); /* subtle shadow */
        text-decoration: none;
        color : black;

    }

    /* Footer texts */
    .login-footer {
        color: black;
        text-align: left;
        font-size: 10px;
        margin-bottom: 10px;
    }




.login-site-link {
    font-size: 7px;
    margin-bottom: 10px;
    text-align: center;
}

    .login-site-link a {
        text-decoration: none;
        color: black;
        font-weight: bold;
    }

/* Responsive adjustments */
@media (max-width: 576px) {
    .login-card {
        padding: 1.5rem;
    }

    .submit-btn, .link-btn {
        font-size: 14px;
        height: 38px;
    }
}
